Description

Dalla versione corrente del branch fuss/native, costruendo il pacchetto con fakeroot debian/rules clean binary dopo aver verificato di
aver installato (a mano) tutte le dipendenze indicate come Build-Depends in debian/control si ottiene cme risultato di dh_python3:

I: dh_python3 pydist:228: Cannot find package that provides dateutil. Please add package that prov
ides it to Build-Depends or add "dateutil python3-dateutil" line to debian/py3dist-overrides or ad
d proper dependency to Depends by hand and ignore this info.

anche se il pacchetto python3-dateutil & installato (e gia citato nelle Build-Depends), potrebbe trattarsi (suggerimento di Elena) che la
dipendenza in setup.py € sbagliata, probabilmente & python-dateutil anziché dateutil.

Associated revisions

Revision 1758¢282 - 07/11/2019 11:17 AM - Elena Grandi

Fix name of dateutil dependency in setup.py. refs: #868

History

#1 - 07/11/2019 11:20 AM - Elena Grandi

- Status changed from Nuovo to Commenti

Sistemata la dipendenza nel setup.py.

Alla prossima volta in cui si fa un merge di master in fuss/native dovrebbe andare a posto (ed & comunque solo un warning degli strumenti di build,
ma non dovrebbe cambiare il pacchetto risultante).

#2 - 09/24/2019 09:39 AM - Elena Grandi
- Status changed from Commenti to Chiuso

- Assignee changed from Elena Grandi to Simone Piccardi

E in master, sara su fuss/native la prossima volta che si faranno pacchetti aggiornati, intanto chiudo per pulizia.

Ricordo per documentazione futura che per fare build del pacchetti & opportuno non usare fakeroot debian/rules clean binary, ma quanto descritto
sulla fuss-dev-guide: https://fuss-dev-quide.readthedocs.io/it/latest/

(in questo caso non sarebbe stato rilevante, il messaggio sarebbe apparso ugualmente.)
